SinglePropertyWrapper (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.assembly.configuration.SinglePropertyWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.assembly.configuration
Class SinglePropertyWrapper

    java.lang.Object
      org.mule.config.spring.parsers.assembly.configuration.SinglePropertyWrapper

All Implemented Interfaces:
  SingleProperty

    public class SinglePropertyWrapper

extends Object
implements SingleProperty

Constructor Summary
`SinglePropertyWrapper(String oldName, PropertyConfiguration config)`

Method Summary
`boolean` | `isCollection()`
`boolean` | `isIgnored()`
`boolean` | `isReference()`
`void` | `setCollection()`
`void` | `setIgnored()`
`void` | `setReference()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SinglePropertyWrapper

    public SinglePropertyWrapper(String oldName,
                                 PropertyConfiguration config)

Method Detail

### isCollection

    public boolean isCollection()

  Specified by:
    `isCollection` in interface `SingleProperty`

### setCollection

    public void setCollection()

  Specified by:
    `setCollection` in interface `SingleProperty`

### isIgnored

    public boolean isIgnored()

  Specified by:
    `isIgnored` in interface `SingleProperty`

### setIgnored

    public void setIgnored()

  Specified by:
    `setIgnored` in interface `SingleProperty`

### isReference

    public boolean isReference()

  Specified by:
    `isReference` in interface `SingleProperty`

### setReference

    public void setReference()

  Specified by:
    `setReference` in interface `SingleProperty`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.